Subject: bug#19049: 25.0.50; emacs-repository-get-version doesn't work with git

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Nov 2014 17:11:14 +0200

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 14 Nov 2014 15:59:37 +0100
> 
> > Now you-all get to learn this stuff the hard way.
> 
> Indeed.  Hopefully after a few more days we'll have real recipes for how
> to do all these "obvious if you've studied the Gnomic Scriptures" tasks,
> and we can update the documentation with docs that actually say how to
> do things.

No, that's just the beginning.  Almost every question asked about this
resulted in umpteen different answers.  Which one(s) to choose is
another obstacle to negotiate, and it's not always easy, because each
alternative has its subtle pro's and con's.

We had 10 months and enough git expertise to discuss this and decide
what's best.  And we wasted it.